Subject: Re: [BUG] git-svn not following svn moves

From: Peter Baumann <[email-masked]>
Date: Thu, 18 Oct 2007 14:13:28 +0200

On Thu, Oct 18, 2007 at 11:20:16AM +0000, cho wrote:
> Hello,
> 
> I have a git-svn checkout that apparently did not follow a move correctly.
> The files are not present in an svn checkout, but are in a git svn clone.
> 
> According to a trac browser, some of the files that appear in my git 
> checkout had in fact been moved to their separate branch before doing git-
> svn clone. I noticed this when trying to commit changes to those files, 
> getting the error message:
> > Le système de fichiers ne contient pas cet élément: Fichier non 
> trouvé : transaction '3926-1', chemin '.../composants.py' at /home/marc/
> bin/git-svn line 2960
> It's a standard subversion error, "Filesystem has no item"
> 
> I've made a clean checkout (with today's 1.5.3.4.206.g58ba4), and I still 
> have the moved files present.
> The clone command is just:
> git svn clone --stdlayout svn+ssh://host/srv/subversion/proj/appli/proj
> 
> Tell me if I can give more info (the repository isn't public).
> 

Any chance you could provide a testcase which is similar to what happened
in your private repo so that the problem could be reproduced here?

-Peter